Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Tudor Buican (tudor_at_[hidden])
Date: 2007-08-17 16:46:44


Hi, everybody.

I just added OpenMPI 1.2.3 to a Rocks cluster that already had OpenMPI
1.1 installed. I built an rpm for 1.2.3 from the tarball I had
downloaded from open-mpi.org, and I used the option --with-devel-
headers, which I needed in order to build a software package that
required all the headers.

So far, so good. However, I am now trying to build yet another software
package that requires OpenMPI, only to find that it needs what appear to
be missing mca-related libraries. When I compared the lib directories
for OpenMPI versions 1.1 and 1.2.3, I noticed that 1.1 had a whole bunch
of mca-related libraries, like libmca_common_sm, mca_allocator_basic,
etc., which are missing from my newly built version 1.2.3.

Any suggestions about how to get the full set of 1.2.3 libraries would
be greatly appreciated.

Thanks in advance,
-Tudor

-- 
Tudor N. Buican, PhD
Managing Member
SEA LLC
phone: 505-271-9925, 505-818-7303
fax: 505-271-9925
email: tudor_at_[hidden]